BigattiParams Class Reference

`#include <BigattiParams.h>`

Inheritance diagram for BigattiParams:

## Public Member Functions

| BigattiParams (const CliParams &cli)
bool | getUseGenericBaseCase () const
| Returns whether to detect generic monomial ideals as a base case.
void | setPivot (const string &name)
const string & | getPivot () const
| Returns the name of the pivot selection strategy used for pivots splits.
void | useGenericBaseCase (bool value)
bool | getWidenPivot () const
| Returns whether to widen the pivots of pivot splits.
void | widenPivot (bool value)
Public Member Functions inherited from SliceLikeParams
| SliceLikeParams ()
bool | getUseSimplification () const
| Apply simplification to the state of the algorithm when possible.
void | useSimplification (bool value)
Public Member Functions inherited from CommonParams
| CommonParams ()
bool | getIdealIsMinimal () const
| Returns whether the input ideal is known to be minimally generated.
void | idealIsMinimal (bool value)
bool | getPrintActions () const
| Returns whether to print and time the large-scale actions that Frobby performs.
void | printActions (bool value)
const string & | getInputFormat () const
| Returns the format used for parsing input.
void | setInputFormat (const string &value)
const string & | getOutputFormat () const
| Returns the format in which output is produced.
void | setOutputFormat (const string &value)
bool | getProduceCanonicalOutput () const
| Returns whether to produce output in a canonical representation.
void | produceCanonicalOutput (bool value)
bool | getPrintDebug () const
| Returns whether to print information about what the algorithm is doing to standard error as it runs.
void | printDebug (bool value)
bool | getPrintStatistics () const
| Returns whether to print statistics on what the algorithm did to standard error after it has run.
void | printStatistics (bool value)

## Private Attributes

string | _pivot
bool | _widenPivot
bool | _useGenericBaseCase

## Detailed Description

Definition at line 25 of file BigattiParams.h.

## Constructor & Destructor Documentation

## BigattiParams()

BigattiParams::BigattiParams | ( | const CliParams & | cli | ) |

Definition at line 23 of file BigattiParams.cpp.

## Member Function Documentation

## getPivot()

const string & BigattiParams::getPivot | ( |  | ) | const

inline

Returns the name of the pivot selection strategy used for pivots splits.

Definition at line 36 of file BigattiParams.h.

## getUseGenericBaseCase()

bool BigattiParams::getUseGenericBaseCase | ( |  | ) | const

inline

Returns whether to detect generic monomial ideals as a base case.

Definition at line 31 of file BigattiParams.h.

## getWidenPivot()

bool BigattiParams::getWidenPivot | ( |  | ) | const

inline

Returns whether to widen the pivots of pivot splits.

Definition at line 40 of file BigattiParams.h.

## setPivot()

void BigattiParams::setPivot | ( | const string & | name | ) |

inline

Definition at line 32 of file BigattiParams.h.

## useGenericBaseCase()

void BigattiParams::useGenericBaseCase | ( | bool | value | ) |

inline

Definition at line 37 of file BigattiParams.h.

## widenPivot()

void BigattiParams::widenPivot | ( | bool | value | ) |

inline

Definition at line 41 of file BigattiParams.h.

## Member Data Documentation

## _pivot

string BigattiParams::_pivot

private

Definition at line 44 of file BigattiParams.h.

## _useGenericBaseCase

bool BigattiParams::_useGenericBaseCase

private

Definition at line 46 of file BigattiParams.h.

## _widenPivot

bool BigattiParams::_widenPivot

private

Definition at line 45 of file BigattiParams.h.

The documentation for this class was generated from the following files:

- src/BigattiParams.h
- src/BigattiParams.cpp